# Shipping

Shipping endpoints for transactions.

 - [GET /v2/carriers](https://docs.trustap.com/apis/openapi/shipping/v2_transactions.getsupportedcarriers.md): This returns the carriers that are currently supported for automated tracking. The carrier `name` should be shown to users but the `code` should be submitted to the `/track` endpoint when submitting t
 - [POST /v2/transactions/{transaction_id}/confirm_delivery](https://docs.trustap.com/apis/openapi/shipping/v2_transactions.confirmdeliveryfortransaction.md): This endpoint allows a user to confirm the delivery of the item in the case that the state of the transaction was not updated asynchronously by Trustap
 - [GET /v2/transactions/{transaction_id}/shipping_details](https://docs.trustap.com/apis/openapi/shipping/v2_transactions.getshippingdetailsfortransaction.md)
 - [POST /v2/transactions/{transaction_id}/shipping_details](https://docs.trustap.com/apis/openapi/shipping/v2_transactions.setshippingdetailsfortransaction.md)
 - [POST /v2/transactions/{transaction_id}/track](https://docs.trustap.com/apis/openapi/shipping/v2_transactions.tracktransaction.md): After the tracking information has been submitted then the state of the transaction will be updated asynchronously by Trustap once the delivery of the item has been confirmed, at which point the `deli
